Runtime Documentation

How can we help you?

Announcements »

Certificate errors on Workman and Gatekeeper

Issue Reported [Sep 21, 2021]

java.security.cert.CertPathValidatorException: Trust anchor for certification path not found

Errors reported by some users of old Android devices
java.security.cert.CertPathValidatorException

Starting Sep 21, 2021, some of the older android devices are experiencing above errors while communicating with our servers. This is due to the global outage or compatibility issue with our certificate provider known as Let's Encrypt.

We have been working round the clock to fix this issue and have released updates to our apps on Google Play Store, which has resolved the issue for many users. However, this is just a temporary fix until we come-up with a more permanent solution to this problem.

Here are some tips to help you resolve the above issue, in case you are facing the same:

  1. Update Workman or Gatekeeper app to the latest version available on Google Play Store.
  2. Update your Android version to the latest version available. Check your phone settings if there is a new version available for your device.
  3. If you are using Android version less than 7.1 (Nougat), install Firefox mobile browser. Firefox comes with it's own certificate repository which are registered on your mobile and the device starts trusting newer certificates.

We will post new developments on this issue on this page.

For latest updates by Let's Encrypt on this issue, follow this link.

Update [Sep 25, 2021]

As of Sep 25, both our mobile apps - Gatekeeper and Workman are operating normally. If you haven't updated the apps from Play Store, do it today to avoid any issues. We are monitoring the situation closely till Sep 30, 2021 and will keep you posted on further updates.